
CoCoA-5 - Support #1507

wordlist without OBSOLETE entries?

09 Oct 2020 20:36 - John Abbott

Status: Closed Start date: 09 Oct 2020

Priority: Low Due date:  

Assignee: John Abbott % Done: 100%

Category: EmacsUI Estimated time: 0.88 hour

Target version: CoCoA-5.4.0 Spent time: 0.75 hour

Description

Currently wordlist.txt contains also OBSOLETE/OBSOLESCENT entries.

Is this sensible?  Shouldn't they be removed?

Related issues:

Related to CoCoA-5 - Support #1454: Filenames in release CoCoAManual/html con... New 04 May 2020

History

#1 - 29 Oct 2020 16:50 - Anna Maria Bigatti

- Related to Support #1454: Filenames in release CoCoAManual/html containing [obsolete] added

#2 - 19 Mar 2021 15:17 - John Abbott

It should be easy to do this using fgrep in the Makefile rule which builds the file.

#3 - 19 Mar 2021 15:28 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 50

I have simply sent the output of PrintWordList through an fgrep filter which skips lines containing OBSOLE (matching both "obsolete" and

"obsolescent").

Seems to work as I planned.

Is it a good idea?

#4 - 02 Apr 2021 09:55 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 50 to 90

Anna agrees with the proposal.  Checked in.

#5 - 14 May 2021 17:49 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.88 h
